Page MenuHomePhabricator

[Epic] All pending producers should write to a single pending queue
Closed, ResolvedPublic2 Story Points

Description

This will have FIFO behavior, and only one consumer will read from it.

Unfortunately, we might want to use a mirroring approach, where we write to both the old pending thing and the new queue.

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : masterConfigurable queue mirroring
mediawiki/extensions/DonationInterface : masterWrite all limbo queues to new pending queue
mediawiki/extensions/DonationInterface : masterREALLY add order_id to queue messages
mediawiki/extensions/DonationInterface : deploymentKill 'limbo' queue
mediawiki/extensions/DonationInterface : masterKill 'limbo' queue
mediawiki/extensions/DonationInterface : masterAdd order ID to pending queue messages

Event Timeline

awight created this task.Apr 20 2016, 6:46 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 20 2016, 6:46 PM
awight claimed this task.Apr 25 2016, 9:15 PM
awight moved this task from Backlog to Doing on the Fundraising Sprint Hermit Crab Husbandry board.
awight removed awight as the assignee of this task.Apr 29 2016, 12:34 AM

Change 288439 had a related patch set uploaded (by Ejegg):
Add order ID to pending queue messages

https://gerrit.wikimedia.org/r/288439

Change 288439 merged by jenkins-bot:
Add order ID to pending queue messages

https://gerrit.wikimedia.org/r/288439

awight renamed this task from All pending producers should write to a single pending queue to [Epic] All pending producers should write to a single pending queue.Jul 7 2016, 1:27 AM
Danny_B renamed this task from [Epic] All pending producers should write to a single pending queue to All pending producers should write to a single pending queue.Jul 7 2016, 8:15 PM
Danny_B added a project: Epic.
awight renamed this task from All pending producers should write to a single pending queue to [Epic\ All pending producers should write to a single pending queue.Jul 7 2016, 8:17 PM
awight renamed this task from [Epic\ All pending producers should write to a single pending queue to [Epic] All pending producers should write to a single pending queue.
awight removed the point value for this task.Jul 7 2016, 8:44 PM

Change 299608 had a related patch set uploaded (by Awight):
Kill 'limbo' queue

https://gerrit.wikimedia.org/r/299608

Change 299608 merged by jenkins-bot:
Kill 'limbo' queue

https://gerrit.wikimedia.org/r/299608

Change 299797 had a related patch set uploaded (by Cdentinger):
WIP: Write all limbo queues to new pending queue.

https://gerrit.wikimedia.org/r/299797

Change 299873 had a related patch set uploaded (by Awight):
Kill 'limbo' queue

https://gerrit.wikimedia.org/r/299873

Change 299873 merged by jenkins-bot:
Kill 'limbo' queue

https://gerrit.wikimedia.org/r/299873

Change 300677 had a related patch set uploaded (by Ejegg):
REALLY add order_id to queue messages

https://gerrit.wikimedia.org/r/300677

Change 300677 merged by jenkins-bot:
REALLY add order_id to queue messages

https://gerrit.wikimedia.org/r/300677

Change 299797 merged by jenkins-bot:
Write all limbo queues to new pending queue

https://gerrit.wikimedia.org/r/299797

Deployment: please set the "queue" key so that the pending-new redis queue has actual name "pending":

$wgDonationInterfaceQueues = array(
    "pending-new" => array(
        "queue" => "pending",
        "expiry" => 3600, // Or a few days.
        "servers" => "tcp://localhost", // TBD
        "type" => "PHPQueue\\Backend\\Predis"
    ), 
);

Change 301656 had a related patch set uploaded (by Ejegg):
Configurable queue mirroring

https://gerrit.wikimedia.org/r/301656

Change 301656 merged by jenkins-bot:
Configurable queue mirroring

https://gerrit.wikimedia.org/r/301656

Ejegg added a subscriber: Ejegg.

Deployed, just needs config change to add pending-new queue pointing to predis and this mirroring setup:

$wgDonationInterfaceQueueMirrors = array(
	'pending' => 'pending-new',
	'globalcollect-cc-limbo' => 'pending-new'
);
Ejegg closed this task as Resolved.Oct 12 2016, 10:34 PM
DStrine set the point value for this task to 2.Nov 1 2016, 9:18 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:34 PM